#pragma once

#include <Windows.h>
#include <tchar.h>


typedef struct SDL_RWops SDL_RWops;

/*********************************************************************************
 *									ת
 *********************************************************************************/


 /**
  * GBK ת UTF8
  * 
  *		gbk Ҫת GBK ַָ
  *		gbklen ַȣҪַ strlen(gbk) + 1)Ƽд -1Զ㳤
  *		utf8 תĽָ
  *		utf8len תĿռС
  *
  * أ
  *		תַĳ > 0)
  */

int GBKToUTF8(const char* gbk, int gbklen, char* utf8, int utf8len);


/*********************************************************************************
 *								    Դ
 *********************************************************************************/
//ȡԴ
SDL_RWops* getResourceData(HINSTANCE hinst, LPCWSTR lpName, LPCWSTR lpType);



/*********************************************************************************
 *									
 *********************************************************************************/

//ű
int playBackgroudMusic(const TCHAR* filename, int loop);
void closeBackgroudMusic();

//Ч
int playEffect(const TCHAR* filename, int block);