#pragma once

#include <Windows.h>
#include "SDL.h"
#include "SDL_ttf.h"
#include "SDL_image.h"
#include "SDL_mixer.h"


//󳤶
#define TITLE_MAX_LEN 512


//ϵͳģ
typedef struct SystemModule
{
	HINSTANCE hinstance;			//Ӧʵ
	SDL_Window* pWin;				//ָ
	SDL_Renderer* pRenderer;		//Ⱦָ
	TTF_Font* pDefFont;				//Ĭָ

} SystemModule;


//ûģ
typedef struct UserModule
{
	char title[TITLE_MAX_LEN];		//Ϸ
	SIZE winSize;					//ڴС
	unsigned int FPS;				//FPS
	int showFPS;					//Ƿʾ FPS
} UserModule;



//Ϸʼ
int initGame(UserModule* pModule);

//ʼ
void uninitGame(SystemModule* pModule);

//ϷԴ
int loadGameResources(SystemModule* pModule);

//¼
void processGameEvent(SDL_Event* evt);

//Ϸ
int updateGame(SystemModule* pModule, float ms);

//ϷȾ
void renderGame(SystemModule* pModule, float lag);